<?php 
include('../config/db.php');

$selPlan=(isset($_POST['selPlan']))?$_POST['selPlan']:"";
$valor=(isset($_POST['valor']))?$_POST['valor']:"";
$selected = "";

function imprimeMes($mesEntero){
    $mes="";
    switch($mesEntero){
        case 1:
            $mes="Enero";
        break;
        case 2:
            $mes="Febrero";
        break;
        case 3:
            $mes="Marzo";
        break;
        case 4:
            $mes="Abril";
        break;
        case 5:
            $mes="Mayo";
        break;
        case 6:
            $mes="Junio";
        break;
        case 7:
            $mes="Julio";
        break;
        case 8:
            $mes="Agosto";
        break;
        case 9:
            $mes="Septiembre";
        break;
        case 10:
            $mes="Octubre";
        break;
        case 11:
            $mes="Noviembre";
        break;
        case 12:
            $mes="Diciembre";
        break;
    }
    return $mes;
}
    try{
        $sql=$conexion->prepare("select pf.mes, pf.annio from planprevencion pp 
        inner join planfechas pf on pf.planId = pp.id 
        where pp.id in (:idPlan) order by pf.mes asc;");
        $sql->bindParam(":idPlan",$selPlan);
        $sql->execute();
        $listaInstalacion = $sql->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
        $cadena="<select required id='selMes' name='selMes' class='form-select' >"; //
        $cadena=$cadena.'<option value=>Seleccione</option>';
        foreach($listaInstalacion as $ins){
            if($valor == ($ins['mes'].'_'.$ins['annio'])){
                $selected = "selected";
            }else{
                $selected = "";
            }
            $cadena=$cadena.'<option '.$selected.' value='.$ins['mes'].'_'.$ins['annio'].'>'.imprimeMes($ins['mes']).' del '.$ins['annio'].'</option>';
        }
        echo  $cadena."</select>";
    }catch (Exception $err) {
        echo ("Ha ocurrido un error en la solicitud. ");  
        throw $err;
    }
?>